Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.util
Class MainAppletContext

    java.lang.Object
      com.sun.javatest.util.MainAppletContext

    public class MainAppletContext

extends java.lang.Object

This class provides a means whereby tools can temporarily give access to a shared AppletContext and applet instance(s) which will be used in AppletContext tests. With hindsight, this code should probably be in com.sun.javatest.agent but the tests expect the class to be here in com.sun.javatest.util.

Constructor Summary
`MainAppletContext()`

Method Summary
`static java.applet.Applet` | `getAgentApplet()` Get the applet that has been identified as the JT Harness Agent applet.
`static java.applet.Applet` | `getApplet(java.lang.String name)` Get the applet that has been registered with a given name.
`static java.applet.AppletContext` | `getAppletContext()` Get the current AppletContext.
`static java.util.Enumeration` | `getAppletNames()` Get an enumeration of all the names that have been used to register applets.
`static boolean` | `isStarted()` Check the flag that indicates whether the agent applet has been started.
`static void` | `putApplet(java.lang.String name, java.applet.Applet applet)` Register an applet in a table of applets.
`static void` | `setAgentApplet(java.applet.Applet applet)` Set the applet to be identified as the JT Harness Agent applet.
`static void` | `setAppletContext(java.applet.AppletContext ctx)` Set the AppletContext in use, so that it might be shared.
`static void` | `setStarted(boolean value)` Set a flag to indicate that the agent applet has been started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainAppletContext

    public MainAppletContext()

Method Detail

### setAppletContext

    public static void setAppletContext(java.applet.AppletContext ctx)

  Set the AppletContext in use, so that it might be shared.

  Parameters:
    `ctx` - the AppletContext to be shared.
  See Also:
    `getAppletContext()`

### getAppletContext

    public static java.applet.AppletContext getAppletContext()

  Get the current AppletContext.

  Returns:
    the current AppletContext, or null if it has been set.
  See Also:
    `setAppletContext(java.applet.AppletContext)`

### putApplet

    public static void putApplet(java.lang.String name,
                                 java.applet.Applet applet)

  Register an applet in a table of applets.

  Parameters:
    `name` - the name with which to register the applet
    `applet` - the applet to be registered
  See Also:
    `getApplet(java.lang.String)`, `getAppletNames()`

### getApplet

    public static java.applet.Applet getApplet(java.lang.String name)

  Get the applet that has been registered with a given name.

  Parameters:
    `name` - the name of the applet to return
  Returns:
    the applet that has been registered with the given name

### getAppletNames

    public static java.util.Enumeration getAppletNames()

  Get an enumeration of all the names that have been used to register applets.

  Returns:
    an enumeration of all the names that have been used to register applets

### setAgentApplet

    public static void setAgentApplet(java.applet.Applet applet)

  Set the applet to be identified as the JT Harness Agent applet.

  Parameters:
    `applet` - the Javatest Agent applet
  See Also:
    `getAgentApplet()`

### getAgentApplet

    public static java.applet.Applet getAgentApplet()

  Get the applet that has been identified as the JT Harness Agent applet.

  Returns:
    the Javatest Agent applet
  See Also:
    `setAgentApplet(java.applet.Applet)`

### setStarted

    public static void setStarted(boolean value)

  Set a flag to indicate that the agent applet has been started.

  Parameters:
    `value` - a boolean value indicating whether the agent applet has been started or not.

### isStarted

    public static boolean isStarted()

  Check the flag that indicates whether the agent applet has been started.

  Returns:
    a boolean value indicating whether the agent applet has been started or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.